This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 659033 - Do we really need a tigervnc-license package?
Do we really need a tigervnc-license package?
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tigervnc (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-01 14:54 EST by Scott Dowdle
Modified: 2013-04-30 19:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-06 03:15:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Scott Dowdle 2010-12-01 14:54:55 EST
I just noticed that from the release of Fedora 13 to the release of Fedora 14, tigervnc has been split up into some additional packages.  As an example, for the i386 arch, Fedora 13 had:

tigervnc-1.0.90-0.8.20100219svn3993.fc13.i686.rpm
tigervnc-server-1.0.90-0.8.20100219svn3993.fc13.i686.rpm
tigervnc-server-module-1.0.90-0.8.20100219svn3993.fc13.i686.rpm

Fedora 14 has:

tigervnc-1.0.90-0.22.20100813svn4123.fc14.i686.rpm
tigervnc-license-1.0.90-0.22.20100813svn4123.fc14.noarch.rpm
tigervnc-server-1.0.90-0.22.20100813svn4123.fc14.i686.rpm
tigervnc-server-applet-1.0.90-0.22.20100813svn4123.fc14.noarch.rpm
tigervnc-server-minimal-1.0.90-0.22.20100813svn4123.fc14.i686.rpm
tigervnc-server-module-1.0.90-0.22.20100813svn4123.fc14.i686.rpm

What is this -license package?

rpm -ql tigervnc-license
/usr/share/doc/tigervnc-license-1.0.90
/usr/share/doc/tigervnc-license-1.0.90/LICENCE.TXT

It contains a single directory which contains a single file, which is a copy of the GPL v2 license.  Do we really need a separate copy of the GPL v2 license as a SEPARATE package?

I realize that a significant percentage of packages in the repositories is licensed under the GPL v2 and GPL v3 license... and each one contains a copy of the license... so that could be a few hundred or a few thousand duplicate files on the filesystem that could easily be collapsed down to just a couple of files... and maybe some symlinks.  I guess getting rid of a couple of megabytes in a few thousand files is a worthwhile goal... BUT I don't think taking the license from each package and making a separate package out of it, which would make the license avoidable, is a good idea.

A better idea would be to have a package for each license and then have those license packages listed as a dependency for the other packages that they relate too.  I must admit that I'm not very fond of having a binary package that doesn't include a copy of the license as that might violate the license terms... I'm not sure... but the meta data included in the package do state what the license is and as long as a copy of that license is available on the system, I'm guessing you could reasonably get away with that.

Anyway I thought it was wild that there was a tigervnc-license package and I don't see any other "-license" packages in Everything nor Updates so I'm guessing this is the work of one package maintainer... and that it hasn't spread yet? :)
Comment 1 Rahul Sundaram 2010-12-03 15:18:24 EST
Pretty sure this change was done in response to

http://lists.fedoraproject.org/pipermail/devel-announce/2010-July/000631.html

The idea behind this change to ensure that even if the user installs any one sub package, they will still get a copy of the license.  One can either duplicate the license in every sub package or split it out and depend on it as has been done here.  

If you have suggestions on improving the process,  do post to the Fedora Legal list as changes have to be adopted globally.
Comment 2 Scott Dowdle 2010-12-03 17:18:47 EST
Rahul, thanks for the background.  AdamW posted a response to my personal blog about it so thanks to him too.

I found the FAQ very informative and learned the capital of Ghana even. :)

I looked in the Everything directory and the updates directories for "*-license* and that package was the only one that showed up.  If this method is adopted by other packagers then we'll have a lot of -license packages.  I don't think it is a good idea myself but I'm not a packager so what I think doesn't matter much.  

It would be nice if there were more of a set policy so that each packager isn't doing it a different way... but then again, I'm thinking there is a short list of ways.

I'll consider joining the Fedora Legal list but being a legal layman, I'm not sure I could help much and would mostly lurk.
Comment 3 Adam Tkac 2010-12-06 03:15:43 EST
Rahul's comment #1 is right. There are three independent tigervnc packages - tigervnc (viewer), tigervnc-server-minimal (Xvnc server) and tigervnc-server-module (libvnc.so module for Xorg). In my opinion it's better to have one separate tigervnc-license package than include license in each package. Closing as notabug.

Note You need to log in before you can comment on or make changes to this bug.